<?php
// Incluir la conexión a la base de datos
include 'conexion.php';

// Verificar si se recibió el parámetro Nro_Actividad
if (isset($_GET['id'])) {
    $nro_actividad = $_GET['id'];

    // Preparar la consulta para eliminar el vehículo
    $sql = "DELETE FROM actividades WHERE Nro_Actividad = ?";
    
    // Crear la consulta preparada
    if ($stmt = mysqli_prepare($conn, $sql)) {
        // Vincular parámetros
        mysqli_stmt_bind_param($stmt, "i", $nro_actividad);

        // Ejecutar la consulta
        if (mysqli_stmt_execute($stmt)) {
            // Redirigir al listado de vehículos después de la eliminación
            header("Location: VerActividades.php?mensaje=eliminado");
            exit;
        } else {
            echo "Error al eliminar el vehículo: " . mysqli_error($conn);
        }

        // Cerrar la consulta preparada
        mysqli_stmt_close($stmt);
    } else {
        echo "Error en la preparación de la consulta: " . mysqli_error($conn);
    }
} else {
    echo "ID de actividad no proporcionado.";
}

// Cerrar la conexión
mysqli_close($conn);
?>