<?php
include("encabezado.php");
include 'conexion.php';

if (isset($_GET['id'])) {
    $id_vehiculo = $_GET['id'];
    // Obtener los datos del vehículo
    $sql = "SELECT * FROM vehiculos WHERE Id_Vehiculo = $id_vehiculo";
    $result = mysqli_query($conn, $sql);
    $vehiculo = mysqli_fetch_assoc($result);

    // Verificar si el vehículo existe
    if (!$vehiculo) {
        echo "<p>Vehículo no encontrado.</p>";
        exit;
    }
}

?>
<main>
    <div class="container">
        <h2>Modificar Vehículo</h2>
        <form class="row g-3" action="act_vehiculo.php" method="post" enctype="multipart/form-data">
        <div class="col-md-6">
                <label for="Id_Vehiculo" class="form-label">Id Vehículo:</label>
                <input type="text" class="form-control" id="Id_Vehiculo" name="Id_Vehiculo" value="<?= $vehiculo['Id_Vehiculo'] ?>">
            </div>    
        <div class="col-md-6">
                <label for="Placa_Vehiculo" class="form-label">Placa Vehículo:</label>
                <input type="text" class="form-control" id="Placa_Vehiculo" name="Placa_Vehiculo" value="<?= $vehiculo['Placa_Vehiculo'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Tipo_Vehiculo" class="form-label">Tipo Vehículo</label>
                <select id="Tipo_Vehiculo" class="form-select" name="Tipo_Vehiculo" required>
                    <option value="Automóvil" <?= ($vehiculo['Tipo_Vehiculo'] == 'Automóvil') ? 'selected' : '' ?>>Automóvil</option>
                    <option value="Motocicleta" <?= ($vehiculo['Tipo_Vehiculo'] == 'Motocicleta') ? 'selected' : '' ?>>Motocicleta</option>
                    <option value="Ciclomotor" <?= ($vehiculo['Tipo_Vehiculo'] == 'Ciclomotor') ? 'selected' : '' ?>>Ciclomotor</option>
                    <option value="Camioneta" <?= ($vehiculo['Tipo_Vehiculo'] == 'Camioneta') ? 'selected' : '' ?>>Camioneta</option>
                    <option value="Camión" <?= ($vehiculo['Tipo_Vehiculo'] == 'Camión') ? 'selected' : '' ?>>Camión</option>
                    <option value="Autobús" <?= ($vehiculo['Tipo_Vehiculo'] == 'Autobús') ? 'selected' : '' ?>>Autobús</option>
                </select>
            </div>
            <div class="col-md-6">
                <label for="Marca_Vehiculo" class="form-label">Marca Vehículo</label>
                <select id="Marca_Vehiculo" class="form-select" name="Marca_Vehiculo">
                    <option value="BMW Group" <?= ($vehiculo['Marca_Vehiculo'] == 'BMW Group') ? 'selected' : '' ?>>BMW Group</option>
                    <option value="Chevrolet" <?= ($vehiculo['Marca_Vehiculo'] == 'Chevrolet') ? 'selected' : '' ?>>Chevrolet</option>
                    <option value="Ford" <?= ($vehiculo['Marca_Vehiculo'] == 'Ford') ? 'selected' : '' ?>>Ford</option>
                    <option value="Honda" <?= ($vehiculo['Marca_Vehiculo'] == 'Honda') ? 'selected' : '' ?>>Honda</option>
                    <option value="Hyundai Motor Company" <?= ($vehiculo['Marca_Vehiculo'] == 'Hyundai Motor Company') ? 'selected' : '' ?>>Hyundai Motor Company</option>
                    <option value="KIA" <?= ($vehiculo['Marca_Vehiculo'] == 'KIA') ? 'selected' : '' ?>>KIA</option>
                    <option value="Mazda" <?= ($vehiculo['Marca_Vehiculo'] == 'Mazda') ? 'selected' : '' ?>>Mazda</option>
                    <option value="Mitsubishi" <?= ($vehiculo['Marca_Vehiculo'] == 'Mitsubishi') ? 'selected' : '' ?>>Mitsubishi</option>
                    <option value="Nissan" <?= ($vehiculo['Marca_Vehiculo'] == 'Nissan') ? 'selected' : '' ?>>Nissan</option>
                    <option value="Renault" <?= ($vehiculo['Marca_Vehiculo'] == 'Renault') ? 'selected' : '' ?>>Renault</option>
                    <option value="Subaru" <?= ($vehiculo['Marca_Vehiculo'] == 'Subaru') ? 'selected' : '' ?>>Subaru</option>
                    <option value="Suzuki" <?= ($vehiculo['Marca_Vehiculo'] == 'Suzuki') ? 'selected' : '' ?>>Suzuki</option>
                    <option value="Tesla Inc" <?= ($vehiculo['Marca_Vehiculo'] == 'Tesla Inc') ? 'selected' : '' ?>>Tesla Inc</option>
                    <option value="Toyota" <?= ($vehiculo['Marca_Vehiculo'] == 'Toyota') ? 'selected' : '' ?>>Toyota</option>
                    <option value="Volkswagen" <?= ($vehiculo['Marca_Vehiculo'] == 'Volkswagen') ? 'selected' : '' ?>>Volkswagen</option>
                </select>

            </div>
            <div class="col-md-6">
                <label for="Color_Vehiculo" class="form-label">Color Vehículo:</label>
                <input type="text" class="form-control" id="Color_Vehiculo" name="Color_Vehiculo" value="<?= $vehiculo['Color_Vehiculo'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Modelo_Vehiculo" class="form-label">Modelo Vehículo:</label>
                <input type="number" class="form-control" id="Modelo_Vehiculo" name="Modelo_Vehiculo" value="<?= $vehiculo['Modelo_Vehiculo'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Kilometraje" class="form-label">Kilometraje Inicial Vehículo:</label>
                <input type="number" class="form-control" id="Kilometraje" name="Kilometraje" value="<?= $vehiculo['Kilometraje'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Cilindraje" class="form-label">Cilindraje Vehículo:</label>
                <input type="number" class="form-control" id="Cilindraje" name="Cilindraje" value="<?= $vehiculo['Cilindraje'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Fotos" class="form-label">Foto:</label>
                <input type="file" class="form-control" id="Fotos" name="Fotos">
                <?php if (!empty($vehiculo['Fotos'])): ?>
                    <img src="imagenes/<?= $vehiculo['Fotos'] ?>" alt="Foto actual" width="150" class="mt-2">
                <?php endif; ?>
            </div>
            <div class="col-md-6">
                <label for="Fecha_SOAT" class="form-label">Fecha SOAT Vehículo:</label>
                <input type="date" class="form-control" id="Fecha_SOAT" name="Fecha_SOAT" value="<?= $vehiculo['Fecha_SOAT'] ?>" required>
            </div>
            <div class="col-md-6">
                <label for="Fecha_Tecnomecanica" class="form-label">Fecha Tecnomecánica Vehículo:</label>
                <input type="date" class="form-control" id="Fecha_Tecnomecanica" name="Fecha_Tecnomecanica" value="<?= $vehiculo['Fecha_Tecnomecanica'] ?>" required>
            </div>
            <div class="col-12">
                <button type="submit" class="btn btn-primary">Modificar Vehículo</button>
            </div>
        </form>
    </div>
</main>
<?php
include("pie.php");
?>