<?php
include 'conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $nro_actividad = $_POST['Nro_Actividad'];
    $nombre_actividad = $_POST['Nombre_Actividad'];
    $fecha_Registro = $_POST['Fecha_Registro'];

    // Consulta para actualizar la actividad
    $sql = "UPDATE actividades 
            SET Nombre_Actividad = ?, 
                Fecha_Registro = ?
            WHERE Nro_Actividad = ?";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssi", $nombre_actividad, $fecha_Registro, $nro_actividad);

    if ($stmt->execute()) {
        header("Location: VerActividades.php?mensaje=modificado");
        exit;
    } else {
        echo "Error al modificar la actividad: " . $conn->error;
    }

    $stmt->close();
}
$conn->close();
?>